> For the complete documentation index, see [llms.txt](https://docs.rahe.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rahe.dev/our-scripts/taxi/integration/npwd.md).

# NPWD

**Before starting please verify that the taxi system works by using the /taxi command.**

#### 📁 1. Folder Structure <a href="#id-1.-folder-structure" id="id-1.-folder-structure"></a>

Ensure the NPWD apps are placed inside the correct directory:

```
[npwd-apps]/
   ├── npwd_rahe_taxi_rider
   └── npwd_rahe_taxi_driver
```

***

#### ⚙️ 2. Resource Startup Order <a href="#id-2.-resource-startup-order" id="id-2.-resource-startup-order"></a>

Make sure your `server.cfg` starts resources in the correct order:

```
ensure rahe-navigation
ensure rahe-taxi
ensure [npwd-apps]
ensure qbx_npwd  # If you're using Qbox
ensure npwd
```

**📌 Important Notes**

* `rahe-taxi` must start **before NPWD**

***

#### 📲 3. Register Apps in NPWD Config <a href="#id-3.-register-apps-in-npwd-config" id="id-3.-register-apps-in-npwd-config"></a>

After confirming the folder structure, register the apps inside:

```
[npwd]/config.json
```

**➕ Add to `apps` array:**

```
 "npwd_rahe_taxi_rider", "npwd_rahe_taxi_driver"
```

It should look something like this:

```
"apps": ["npwd_qbx_mail", "npwd_qbx_garages", "npwd_rahe_taxi_rider", "npwd_rahe_taxi_driver"],
```

#### 🚫 4. Disable Command <a href="#id-4.-disable-command" id="id-4.-disable-command"></a>

After you have verified that the apps work you can disable the command by setting <mark style="color:blue;">commandsEnabled</mark> to false in <mark style="color:blue;">public\config\client\cl\_config.lua</mark>

{% tabs %}
{% tab title="public\_config/client/cl\_config.lua" %}
commandsEnabled = false,
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rahe.dev/our-scripts/taxi/integration/npwd.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
